
/* p4misc.h (c)Copyright Sequiter Software Inc., 1987-1990.  All rights reserved.

   Declarations for non-standard C runtime library functions.
*/

/* Default locking is 'DO_LOCKING' (call to 'locking' rather than 'lock')
   which is MSC. */

#ifndef TURBO
#ifndef MSC
#define MSC
#endif
#endif

#ifdef GERMAN
#define LANGUAGE
#endif

#ifdef LANGUAGE
#define NO_SIZE_T
#endif

#ifdef TURBO
#define DO_LOCK
#endif

#ifdef NO_TEST
#define NO_SIZE_T
#define NO_CHSIZE
#define NO_LOCK
#define NO_MEMMOVE
#define NO_POW
#define NO_SPAWNL
#define NO_FILELENGTH
#define NO_REMOVE
#define NO_RENAME
#define NO_STRLWR
#define NO_STRUPR
#define NO_STRNICMP
#define LANGUAGE
#define PORTABLE
#endif

#ifndef NO_LOCK
#define DO_LOCKING
#endif

#ifdef NO_SIZE_T
typedef unsigned   size_t ;
#endif

#ifdef DO_CHSIZE
int  chsize( int, long ) ;
#endif

#ifdef NO_FILELENGTH
long  filelength(int) ;
#endif

#ifdef NO_MEMMOVE
void *memmove( void *, void *, size_t ) ;
#endif

#ifdef NO_REMOVE
int remove( char * ) ;
#endif

#ifdef NO_STRNICMP
int  strnicmp( char *, char *, size_t ) ;
#endif

#ifdef NO_STRUPR
char *strlwr( char * ) ;
#endif

#ifdef NO_STRUPR
char *strupr( char * ) ;
#endif

#ifdef LANGUAGE
extern int v4map[256] ;
int u4memcmp( unsigned char *, unsigned char *, size_t ) ;
#endif
